Fórum Debian
Java em arquitetura PowerPC - Versão para Impressão

+- Fórum Debian (http://www.forumdebian.com.br)
+-- Fórum: Debian (/forum-4.html)
+--- Fórum: Software (/forum-14.html)
+--- Tópico: Java em arquitetura PowerPC (/thread-858.html)



Java em arquitetura PowerPC - chicosimoes - 07/10/2010 15:54

Ol'a a todos, 'e um prazer trocar ideias neste f'orum.
Recentemente instalei o Debian 5.06 em meu G4Dual e nao estou conseguindo acessar o site do meu Banco, fui instalar o Java jre e apresentou as seguintes dependencias insoluveis:
Depends: sun-java5-bin (=1.5.0-22-0lenny1) but it is not installable or
ia32-sun-java5-bin (=1.5.0-22-0lenny1) but it is not installable
Alguem ai trabalha em ppc e pode me ajudar?
Me desculpem a falta de aacentos, a distro esta zerada, vou configurando aos poucos.
[s]
chico


Re: Java em arquitetura PowerPC - dmatrix - 07/10/2010 16:36

para instalar o java vc precisa adicionar no seu /etc/apt/sources.list em uma das linhas com repositórios oficiais do debian a palavra non-free para que esses erros não ocorram e possa ser instalado o java.


Re: Java em arquitetura PowerPC - chicosimoes - 07/10/2010 20:12

De uma olhada em meu sourse.list:
#
# deb cdrom:[Debian GNU/Linux 5.0.6 _Lenny_ - Official powerpc DVD Binary-1 20100904-21:29]/ lenny contrib main

deb cdrom:[Debian GNU/Linux 5.0.6 _Lenny_ - Official powerpc DVD Binary-1 20100904-21:29]/ lenny contrib main

# Line commented out by installer because it failed to verify:
# deb http://security.debian.org/ lenny/updates main contrib
# Line commented out by installer because it failed to verify:
deb http://http.us.debian.org/debian/ lenny main contrib non-free
deb-src http://http.us.debian.org/debian/ lenny main contrib non-free #Added by software-properties
# deb-src http://security.debian.org/ lenny/updates main contrib
# Debian Multimedia
deb http://www.debian-multimedia.org stable main non-free

mais alguma dica?


Re: Java em arquitetura PowerPC - chicosimoes - 07/10/2010 20:49

Esta 'e a resultado do aptitude install:
yelowsub:/usr/lib/iceweasel/plugins# aptitude install sun-java5-jre sun-java5-fonts sun-java5-bin sun-java5-plugin
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Reading task descriptions... Done
No candidate version found for sun-java5-bin
No candidate version found for sun-java5-plugin
No candidate version found for sun-java5-bin
No candidate version found for sun-java5-plugin
The following packages are BROKEN:
sun-java5-jre
The following NEW packages will be installed:
sun-java5-fonts
0 packages upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 7662kB of archives. After unpacking 16.7MB will be used.
The following packages have unmet dependencies:
sun-java5-jre: Depends: sun-java5-bin (= 1.5.0-22-0lenny1) which is a virtual package. or
ia32-sun-java5-bin (= 1.5.0-22-0lenny1) which is a virtual package.
Unable to resolve dependencies! Giving up...
The following packages are BROKEN:
sun-java5-jre
The following NEW packages will be installed:
sun-java5-fonts
0 packages upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 7662kB of archives. After unpacking 16.7MB will be used.
aptitude failed to find a solution to these dependencies. You can solve them yourself by hand or type 'n' to quit.
The following packages have unmet dependencies:
sun-java5-jre: Depends: sun-java5-bin (= 1.5.0-22-0lenny1) which is a virtual package. or
ia32-sun-java5-bin (= 1.5.0-22-0lenny1) which is a virtual package.
Resolve these dependencies by hand? [N/+/-/_/:/?]

O problema 'e que nao consigo encontrar estas malditas libs...
no aguardo...
[s]
chico


Re: Java em arquitetura PowerPC - dmatrix - 08/10/2010 09:16

ok, esses pacotes até existem ( ainda ) nos repositórios mas estão se tornando obsoletos e num podem mais ser instalados pelo apt-get, manualmente é possível, num pode ser o java versão mais nova? no lenny é o 6:
http://packages.debian.org/lenny/sun-java6-jre